import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';

const snkCustomSlotElementsCss = ".sc-snk-custom-slot-elements-h{display:none}";

const SnkCustomSlotElements$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.snkCustomSlotElementsLoaded = createEvent(this, "snkCustomSlotElementsLoaded", 7);
    this.slotName = 'CUSTOM_SLOT_ELEMENTS';
  }
  componentDidLoad() {
    this.snkCustomSlotElementsLoaded.emit(this.slotName);
  }
  render() {
    return (h(Host, { slot: this.slotName, id: this.slotName, class: "custom-slot-elements-container" }, h("slot", null)));
  }
  static get style() { return snkCustomSlotElementsCss; }
}, [6, "snk-custom-slot-elements", {
    "slotName": [1, "slot-name"]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["snk-custom-slot-elements"];
  components.forEach(tagName => { switch (tagName) {
    case "snk-custom-slot-elements":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, SnkCustomSlotElements$1);
      }
      break;
  } });
}

const SnkCustomSlotElements = SnkCustomSlotElements$1;
const defineCustomElement = defineCustomElement$1;

export { SnkCustomSlotElements, defineCustomElement };
